.custom-checkbox {
  position: absolute;
  opacity: 0;
  left: 0;
  display: none;
}

.custom-checkbox + input[type="hidden"] + label,
.custom-checkbox + label,
.custom-checkbox + .labelSpan {
  position: relative;
  cursor: pointer;
  padding: 0;
  margin: 0;
  height: 20px;
  font-weight: normal;
}

.custom-checkbox[type="radio"] + label,
.custom-checkbox[type="radio"] + .labelSpan {
  display: inline-flex;
  align-items: center;
}
.custom-checkbox + input[type="hidden"] + label::before,
.custom-checkbox + label:before,
.custom-checkbox + .labelSpan:before {
  content: '';
  margin: 0 10px 0 0;
  display: inline-block;
  vertical-align: top;
  width: 20px;
  height: 20px;
  background: white;
  border-radius: 4px;
  border: 1px solid #8BA7F2;
}

.custom-checkbox[type="radio"] + label:before,
.custom-checkbox[type="radio"] + .labelSpan:before {
  border-radius: 50%;
}
.custom-checkbox:hover + input[type="hidden"] + label::before,
.custom-checkbox:hover + label:before {
  border: 1px solid var(--default-blue);
}

.custom-checkbox:focus + label:before {
  box-shadow: 0 0 0 3px rgba(0, 0, 0, 0.12);
}
.custom-checkbox:checked + input[type="hidden"] + label::before,
.custom-checkbox:checked + label:before,
.custom-checkbox:checked + .labelSpan:before {
  background: var(--default-blue);
  border: 1px solid var(--default-blue);
}

.custom-checkbox:disabled + label {
  color: #b8b8b8;
  cursor: auto;
}

.custom-checkbox:disabled + label:before {
  box-shadow: none;
  background: #ddd;
  border: 1px solid #aaa;
}

.customRoleModal .custom-checkbox + label:before {
  margin-right: 0;
}
.custom-checkbox:checked + input[type="hidden"] + label::after,
.custom-checkbox:checked + label:after {
  content: '';
  position: absolute;
  left: 8px;
  top: 3px;
  width: 5px;
  height: 10px;
  border: 1px solid white;
  border-width: 0 2px 2px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.custom-checkbox[type="radio"] + label:after {
  display: none;
}

.custom-checkbox[type="radio"]:checked + label::before {
  background-color: #fff;
}

.custom-checkbox[type="radio"]:checked + label:after {
  display: block;
  width: 10px;
  height: 10px;
  content: "";
  background: var(--default-blue);
  position: absolute;
  border-radius: 10px;
  left: 5px;
  top: 5px;
  transform: none;
  border: 0;
}

#ExecutPermission.custom-checkbox:disabled + label:empty::before,
#ReadPermission.custom-checkbox:disabled + label:empty::before {
  margin-right: 0;
}